| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Functions
real_infinint.hpp File Reference
Private

the original infinint class implementationthe infinint class implementation defined in this module can handle arbitrary large positive integer numbers More...

`#include "../my_config.h"`
`#include <typeinfo>`
`#include "storage.hpp"`
`#include "integers.hpp"`
`#include "int_tools.hpp"`
`#include "on_pool.hpp"`

Go to the source code of this file.

## Classes
class | libdar::infinint
| the arbitrary large positive integer class More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Macros
#define | ZEROED_SIZE 50
#define | OPERATOR(OP)

## Functions
infinint | libdar::operator+ (const infinint &, const infinint &)
infinint | libdar::operator- (const infinint &, const infinint &)
infinint | libdar::operator* (const infinint &, const infinint &)
infinint | libdar::operator* (const infinint &, const unsigned char)
infinint | libdar::operator* (const unsigned char, const infinint &)
infinint | libdar::operator/ (const infinint &, const infinint &)
infinint | libdar::operator% (const infinint &, const infinint &)
infinint | libdar::operator& (const infinint &a, const infinint &bit)
infinint | libdar::operator| (const infinint &a, const infinint &bit)
infinint | libdar::operator^ (const infinint &a, const infinint &bit)
infinint | libdar::operator>> (const infinint &a, U_32 bit)
infinint | libdar::operator>> (const infinint &a, const infinint &bit)
infinint | libdar::operator<< (const infinint &a, U_32 bit)
infinint | libdar::operator<< (const infinint &a, const infinint &bit)
void | libdar::euclide (infinint a, const infinint &b, infinint &q, infinint &r)
template<class T >
void | libdar::euclide (T a, T b, T &q, T &r)

## Detailed Description

the original infinint class implementation

the infinint class implementation defined in this module can handle arbitrary large positive integer numbers

Definition in file real_infinint.hpp.

## Macro Definition Documentation

#define OPERATOR | ( |  | OP | ) |

Value:
inline bool operator OP (const infinint &a, const infinint &b) \
{ \
return a.difference(b) OP 0; \
}

Definition at line 175 of file real_infinint.hpp.